> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Evaluate Random Result Table

> _NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new Economy features are being developed only for version 2._ Returns the result of an evaluation of a Random Result Table - the ItemId from the game Catalog which would have been added to the player inventory, if the Random Result Table were added via a Bundle or a call to UnlockContainer.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| CatalogNotConfigured | 1218 |
| InvalidDropTable | 1201 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/EvaluateRandomResultTable
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/EvaluateRandomResultTable:
    post:
      tags:
        - Player Item Management
      summary: Evaluate Random Result Table
      description: >
        _NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new
        Economy features are being developed only for version 2._ Returns the
        result of an evaluation of a Random Result Table - the ItemId from the
        game Catalog which would have been added to the player inventory, if the
        Random Result Table were added via a Bundle or a call to
        UnlockContainer.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | CatalogNotConfigured | 1218 |

        | InvalidDropTable | 1201 |

        | ProductDisabledForTitle | 1609 |
      operationId: EvaluateRandomResultTable
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EvaluateRandomResultTableRequest'
      responses:
        '200':
          $ref: '#/components/responses/EvaluateRandomResultTableResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    EvaluateRandomResultTableRequest:
      type: object
      properties:
        CatalogVersion:
          description: >-
            Specifies the catalog version that should be used to evaluate the
            Random Result Table. If unspecified, uses default/primary catalog.
          type: string
        TableId:
          description: The unique identifier of the Random Result Table to use.
          type: string
      required:
        - TableId
      example:
        TableId: RareElementCard
        CatalogVersion: '1'
    EvaluateRandomResultTableResult:
      description: >-
        Note that if the Random Result Table contains no entries, or does not
        exist for the catalog specified (the Primary catalog if one is not
        specified), an InvalidDropTable error will be returned.
      type: object
      properties:
        ResultItemId:
          description: >-
            Unique identifier for the item returned from the Random Result Table
            evaluation, for the given catalog.
          type: string
      example:
        ResultItemId: RareGreenAttackCard
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    EvaluateRandomResultTableResult:
      description: >-
        Note that if the Random Result Table contains no entries, or does not
        exist for the catalog specified (the Primary catalog if one is not
        specified), an InvalidDropTable error will be returned.
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/EvaluateRandomResultTableResult'
            example:
              code: 200
              status: OK
              data:
                ResultItemId: RareGreenAttackCard
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Evaluate Random Result Table](/services/playfab/api-references/rest/server/player-item-management/evaluate-random-result-table.md)
- [Drop Tables in Economy (Legacy)](/services/playfab/economy-monetization/economy/tutorials/drop-tables.md)
- [PlayFab consumption best practices](/services/playfab/pricing/consumption-best-practices.md)
- [Profile Reads Meter API Description](/services/playfab/pricing/meters/profile-reads.md)
- [Get Random Result Tables](/services/playfab/api-references/rest/server/player-item-management/get-random-result-tables.md)
